%define version 0.6.4
%define release 1mdk

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d


Summary: 	GNOME 2D chemical structure drawing tool
Name: 		gchempaint
Version: 	%{version}
Release: 	%{release}
URL: 		http://www.nongnu.org/gchempaint/
License: 	GPL
Group: 		Sciences/Chemistry
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

Source0: 	http://savannah.nongnu.org/releases/%{name}/%{version}/%{name}-%{version}.tar.bz2
#Patch0:		gchempaint-mime_types_install.patch.bz2

BuildRequires:	libgnomeprintui-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	gcu-devel >= 0.2.0
BuildRequires:	ImageMagick
BuildRequires:	perl-XML-Parser
BuildRequires:	scrollkeeper
Requires:	ps2eps gtkglext
Requires(preun): scrollkeeper
Requires(preun): shared-mime-info
Requires(post): scrollkeeper
Requires(post): shared-mime-info

%description
GChemPaint is a 2D chemical structures editor for the Gnome-2 desktop.  
GChemPaint is a multi-document application and will be a bonobo server so 
that some chemistry could be embedded in Gnome applications such as 
Gnumeric and Abiword.

%package -n %{libname}
Summary: Gchempaint libraries
Group: Development/Other
Provides: lib%{name} = %{version}

%description -n %{libname}
Libraries for Gchempaint

%package -n %{libnamedev}
Summary: Gchempaint library headers and development libraries
Group: Development/Other
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}
Provides: gchempaint-devel

%description -n %{libnamedev}
Gchempaint devel files


%prep
%setup -q
#%patch0 -p1
#perl -pi -e 's/install\-data\-hook//g' Makefile
autoreconf
#perl -p -i -e 's|gcu/|gchemutils/gcu/||g' `find -name '*.h'`
#perl -p -i -e 's|gcu/|gchemutils/gcu/||g' `find -name '*.cc'`

%build
%configure2_5x --disable-update-databases
perl -p -i -e 's|/usr/local/include/gchemutils|/usr/include/gchemutils||g' `find -name 'Makefile'`
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std _ENABLE_SK=false

#mv $RPM_BUILD_ROOT%_bindir/gchempaint-unstable $RPM_BUILD_ROOT%_bindir/%{name}
#mv $RPM_BUILD_ROOT%_bindir/gchempaint-viewer-unstable $RPM_BUILD_ROOT%_bindir/%{name}-viewer

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 needs="x11" \
 section="Applications/Sciences/Chemistry" \
 title="GChemPaint" \
 icon="%{name}.png" \
 longtitle="GNOME 2D chemical structure drawing tool"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} \
	 $RPM_BUILD_ROOT%{_miconsdir}
install -m 0644 -D    gchempaint48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 gchempaint48.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 gchempaint48.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome --all-name

# asdfasdfdsaf
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/ui/gchempaint.xml

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas > /dev/null

%{_bindir}/update-mime-database %{_datadir}/mime >/dev/null

%post -n %libname -p /sbin/ldconfig

%preun 
if [ "$1" = "0" ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas > /dev/null
fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{_bindir}/update-mime-database %{_datadir}/mime >/dev/null

%postun -n %libname -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/omf/*
#%{_datadir}/mime-info/*
#%{_datadir}/application-registry/gchempaint.applications
%{_datadir}/mime/packages/gchempaint.xml
%{_libdir}/bonobo/servers/*.server
#%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/*/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%_libdir/%name

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.la
%_includedir/%name

%changelog
* Fri Mar 31 2006 Austin Acton <austin@mandriva.org> 0.6.4-1mdk
- New release 0.6.4
- fix URL

* Fri Sep  9 2005 Olivier Blin <oblin@mandriva.com> 0.5.6-3mdk
- fix typo in summary

* Sun Sep 04 2005 Michael Scherer <misc@mandriva.org> 0.5.6-2mdk
- Rebuild to avoid libglitz deps

* Sun Aug 21 2005 Austin Acton <austin@mandriva.org> 0.5.6-1mdk
- New release 0.5.6

* Fri Jun 18 2005 Austin Acton <austin@mandriva.org> 0.5.5-1mdk
- 0.5.5

* Fri Mar 4 2005 Austin Acton <austin@mandrake.org> 0.5.4-1mdk
- 0.5.4
- fix source URL

* Mon Jan 17 2005 Austin Acton <austin@mandrake.org> 0.5.3-2mdk
- requires ps2eps and gtkglext

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.3-1mdk 
- Release 0.5.3
- Rebuild with latest howl

* Tue Dec 07 2004 Abel Cheung <deaddog@mandrake.org> 0.5.2-3mdk
- Yet another BuildRequires update

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.5.2-2mdk
- Fix BuildRequires
- Update mime database in scriplets

* Thu Nov 18 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2
- patch to disable mimetypes update during install

* Wed Jun 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-2mdk
- rebuild

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.4.0-1mdk
- 0.4.0

* Thu Sep  4 2003 Abel Cheung <deaddog@deaddog.org> 0.3.5-1mdk
- 0.3.5
- turn on %%configure again, disable libtoolize instead
- find_lang --with-gnome
- use configure2_5x and makeinstall_std, otherwise scrollkeeper stuff
  will be b0rked
- don't pull in GNOME 1.x stuff into Requires
- redo all the BuildRequires
- use ImageMagick to convert icons
- clean up spec

* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 0.3.4-1mdk
- 0.3.4
- no configure macro (goofs .so's)

* Sat Aug 02 2003 Michael Scherer <scherer.michael@free.fr> 0.3.3-4mdk 
- BuildRequires libgtkglext0-devel
- Remove Requires, rpm will figures by himself
- clean some redundant BuildRequires

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.3.3-3mdk
- fix URL

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.3.3-2mdk
- buildrequires gnomeprintui2

* Fri Apr 11 2003 Austin Acton <aacton@yorku.ca> 0.3.3-1mdk
- 0.3.3
- fix buildrequires

* Tue Apr 1 2003 Austin Acton <aacton@yorku.ca> 0.3.2-1mdk
- 0.3.2
- spec cleanup
- point to openbabel

* Fri Jan 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- from Austin Acton <aacton@yorku.ca> : 
	- bump version
	- patch for libgnomeprint2.2 problems
	- use find_lang macro
	- fix buildrequires
	- fix package owning some common directories (my bad)

* Tue Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
  - from Austin Acton <aacton@yorku.ca> :
	- initial package for Mandrake
